#ifndef QUECTEL_HTTP_H
#define QUECTEL_HTTP_H

/* Includes ------------------------------------------------------------------*/
#include "celluar_comm.h"

#if QUECTEL > 0
#if CELLUAR_HTTP_ENABLE > 0
/* Exported functions --------------------------------------------------------*/
Celluar_ErrorStatus	Quectel_SetHTTPURL(char *pcURL);
Celluar_ErrorStatus Quectel_HTTPGetMethod(unsigned long *pulResponseLen, unsigned long *pulErr);
Celluar_ErrorStatus Quectel_ReadHTTPServerResponseFromRAM(unsigned long ulStartAddress, unsigned long ulSize, unsigned char *pucResponse, unsigned long ulBufferLen, unsigned long *pulRespLen);
Celluar_ErrorStatus Quectel_StoreHTTPServerResponseToRAM(void);
Celluar_ErrorStatus Quectel_TerminateHTTPService(void);
#endif
#endif
#endif

