#ifndef SIMCOM_TCPIP_H
#define SIMCOM_TCPIP_H
/* Includes ------------------------------------------------------------------*/
#include "celluar_comm.h"
#include "celluar_socket.h"

#if SIMCOM > 0
#if CELLUAR_TCPIP_ENABLE > 0
/* Exported functions --------------------------------------------------------*/
Celluar_ErrorStatus SIMCom_GetNetworkAttachStatus(void);
Celluar_ErrorStatus SIMCom_SetIPHead(bool bStatus);
Celluar_ErrorStatus SIMCom_NetworkAttach(bool bStatus);
Celluar_ErrorStatus SIMCom_SetAPN(char *pcAPN, char *pcUser, char *pcPassword);
Celluar_ErrorStatus SIMCom_BringUpWirelessConnection(void);
Celluar_ErrorStatus SIMCom_GetLocalIPAddress(void);
Celluar_ErrorStatus SIMCom_GetNetStatus(char *pcNetStatus,  unsigned long ulBufferSize);
Celluar_ErrorStatus SIMCom_DeactivateGPRS(void);
Celluar_ErrorStatus SIMCom_Connect(unsigned long ulSocketID);
Celluar_ErrorStatus SIMCom_Disconnect(unsigned long ulSocketID);
Celluar_ErrorStatus SIMCom_Send(unsigned long ulSocketID, unsigned char *pucData, unsigned long ulDataSize);
Celluar_ErrorStatus SIMCom_GetSocketStatus(unsigned long ulSocketID);
Celluar_ErrorStatus SIMCom_SetSSL(bool bStatus);

#if CELLUAR_MULTIIPCONNECTION_ENABLE > 0
	Celluar_ErrorStatus SIMCom_StartUpMultiIPConnection(bool bStatus);
#endif

#endif

#endif
#endif


