#ifndef UPDATE_CONFIG_H
#define UPDATE_CONFIG_H

//Update Info
//  0x0000 -> 0x3FFF        0x4000 -> 0x1FFFF     0x20000 -> 0x3FFFF   0x40000 -> 0x41000  0x50000 ->         0x60000 -> 0x6FFFF  0x70000 -> 0x7FFFF
// --- 16K(Bootloader) --- 112K(Application) --- 128K (Update Area) --- Flag (2K) ---    PVD Area    ---       Data Area    ---        BK Data Area  ---
#define UPDATE_FLASH_ADDRESS			0x08020000	//Flash更新起始地址
#define UPDATE_FLASH_SIZE				112			//112KB
#define UPDATE_FLAG_ADDRESS				0x08040000	//更新标志位
#define UPDATE_FLAG_VALUE				0x5555
#define UPDATE_TIMEOUT					30000

#define SENSOR_UPDATE_INDEX_ADDR		0x5078
#define SENSOR_UPDATE_DATA_ADDR			0x5000
#define SENSOR_UPDATE_PWD_ADDR			0x5079

#endif
