/**
******************************************************************************
* @file         tcp_server.h                                 
* @version      V1.0										  		
* @date         2018-06-18								 
* @brief        tcp_server.c的头文件	
*
* @company      深圳炜世科技有限公司
* @information  WIZnet W5100S官方代理商，全程技术支持，价格优势大！
* @website      www.wisioe.com					
* @forum        www.w5100s.com
* @qqGroup      579842114																										 
******************************************************************************
*/
#ifndef _TCP_ERVER_H_
#define _TCP_ERVER_H_

#include <stdint.h>

/* DATA_BUF_SIZE define for Loopback example */
#ifndef DATA_BUF_SIZE
#define DATA_BUF_SIZE			2048
#endif

#define PORTS  11111

typedef enum {
    TCP_SERVER_EST = 0,
    TCP_SERVER_SOCKET_CLOSE,
    TCP_SERVER_SOCKET_CREATE,
    TCP_SERVER_INIT,
}TCP_STATUS;


/* TCP server Loopback test example */
void do_tcp_server(void);
void tcp_server_task_start(void);


#endif
