#ifndef CELLUAR_H
#define CELLUAR_H
/* Includes ------------------------------------------------------------------*/
#include "celluar_comm.h"

/* Exported functions --------------------------------------------------------*/
bool 				Celluar_ModuleInit(bool *pbErrorOccured);
#if CELLUAR_PROTOCOL_MQTT_ENABLE > 0
void				Celluar_SetMQTTStatusChangedCallBack(void (*pFuncMQTTStatusChangedCallBack)(unsigned long, bool));
#if CELLUAR_RECONNECT_ENABLE > 0
void 				Celluar_SetMQTTReconnectCallBack(bool (*pFuncMQTTReconnectCallBack)(unsigned long));
#endif
long				Celluar_Recv(unsigned long ulSocketID, unsigned char *pucBuffer, unsigned long ulSize);
void 				Celluar_ClearSeqQueue(unsigned long ulSocketID);
#endif

#endif
